<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUcServiceReq StructType
 * @subpackage Structs
 */
class AddUcServiceReq extends APIRequest
{
    /**
     * The ucService
     * @var XUcService
     */
    public $ucService;
    /**
     * Constructor method for AddUcServiceReq
     * @uses AddUcServiceReq::setUcService()
     * @param XUcService $ucService
     */
    public function __construct(XUcService $ucService = null)
    {
        $this
            ->setUcService($ucService);
    }
    /**
     * Get ucService value
     * @return XUcService|null
     */
    public function getUcService()
    {
        return $this->ucService;
    }
    /**
     * Set ucService value
     * @param XUcService $ucService
     * @return AddUcServiceReq
     */
    public function setUcService(XUcService $ucService = null)
    {
        $this->ucService = $ucService;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUcServiceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
